<div align="center">
  <h2>electron-splashscreen</h2>
  <img alt="electron-splashscreen" src="https://raw.githubusercontent.com/bkniffler/electron-splashscreen/master/assets/preview.png" height="300px" />
  <br />
  <strong>Nice splashscreens for your electronjs app</strong>
  <br />
  <br />
  <a href="https://travis-ci.org/bkniffler/electron-splashscreen">
    <img src="https://img.shields.io/travis/bkniffler/electron-splashscreen.svg?style=flat-square" alt="Build Status">
  </a>
  <a href="https://codecov.io/github/bkniffler/electron-splashscreen">
    <img src="https://img.shields.io/codecov/c/github/bkniffler/electron-splashscreen.svg?style=flat-square" alt="Coverage Status">
  </a>
  <a href="https://github.com/bkniffler/electron-splashscreen">
    <img src="http://img.shields.io/npm/v/electron-splashscreen.svg?style=flat-square" alt="Version">
  </a>
  <a href="https://github.com/bkniffler/electron-splashscreen">
    <img src="https://img.shields.io/badge/language-typescript-blue.svg?style=flat-square" alt="Language">
  </a>
  <a href="https://github.com/bkniffler/electron-splashscreen/master/LICENSE">
    <img src="https://img.shields.io/github/license/bkniffler/electron-splashscreen.svg?style=flat-square" alt="License">
  </a>
  <br />
  <br />
</div>

## Install

<a name="yarn"/>

### Yarn

```
yarn add electron-splashscreen
```

<a name="npm"/>

### NPM

```
npm i electron-splashscreen
```

## Example

```jsx
import { initSplashScreen, OfficeTemplate } from 'electron-splashscreen';
import isDev from 'electron-is-dev';
import { resolve } from 'app-root-path';

const mainWindow = new BrowserWindow({
  ...
});

const hideSplashscreen = initSplashScreen({
  mainWindow,
  icon: isDev ? resolve('assets/icon.ico') : undefined,
  url: OfficeTemplate,
  width: 500,
  height: 300,
  brand: 'My Brand',
  productName: 'My App',
  logo: resolve('assets/logo.svg'),
  website: 'www.my-brand.com',
  text: 'Initializing ...'
});
```

You can now either within main:

```tsx
mainWindow.once('ready-to-show', () => {
  mainWindow.show();
  hideSplashscreen();
});
```

or within renderer

```tsx
// within renderer
import { reportReady } from 'electron-splashscreen';
// call this whenever your app is ready, for example after all data is loaded
reportReady();
```
